Subject: Re: bug#72090: [Improvement] Option for disabling truncation symbols

From: Stephen Berman <[email-masked]>
Date: Sat, 13 Jul 2024 11:23:20 +0200

On Sat, 13 Jul 2024 08:51:58 +0000 the_wurfkreuz via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> I haven't found a way to disable truncation characters when I'm not using
> line wrapping.
> There is a way to make them appear as empty spaces:
>
> (set-display-table-slot standard-display-table 'truncation ?\ )
>
> However, this isn't a real solution because it still takes up buffer
> space for no benefit.
>
> In some cases, truncation symbols on the left side of the buffer seem
> completely pointless. There's no additional context to be derived from them,
> and they just clutter the buffer.

I don't know if truncation characters can be disabled, but maybe this is
good enough as a workaround:

(set-display-table-slot standard-display-table 'truncation ?\N{ZERO WIDTH SPACE})

Steve Berman